NPM-TEST(1)

NAME
npm-test - Test a package

  Synopsis

    npm test [-- <args>]
    aliases: t, tst

  Description

This runs a predefined command specified in the "test" property of a package's "scripts" object.

  Example

    {
      "scripts": {
        "test": "node test.js"
      }
    }

    npm test
    > npm@x.x.x test
    > node test.js
    (test.js output would be here)

  See Also

    •   npm help run-script

    •   npm help scripts

    •   npm help start

    •   npm help restart

    •   npm help stop